'use client';

import { Button as ChakraButton, ButtonProps } from '@chakra-ui/react';
import { ReactNode } from 'react';

// Extend ButtonProps from Chakra
type Props = ButtonProps & {
  children: ReactNode;
};

export default function CButton({ children, ...rest }: Props) {
  return (
    <ChakraButton
      size="md"
      px={6}
      py={2.5}
      fontWeight="medium"
      rounded="md"
      transition="all 0.2s"
      _hover={{ opacity: 0.85 }}
      _active={{ transform: 'scale(0.97)' }}
      _focus={{ boxShadow: 'outline' }}
      {...rest} 
    >
      {children}
    </ChakraButton>
  );
}


{/* <CButton
  colorScheme="blue"
  variant="outline"
  isLoading={true}
>
  Saving...
</CButton> */}